<?
if($ank['level']>99)
{
    echo'<div class="block">Передача монет доступна игрокам до 100 уровня</div>';
    include_once'inc/foot.php';
}
$procent=15;
if(isset($_POST['ok']) && $_POST['mdp']==$ku['mdp'] && intval($_POST['sum'])>0)
{
if (!is_numeric($_POST['sum'])){$_SESSION['msg']="Произошла ошибка"; header("location: /perevod-$ank[id]");exit;}
if ($ku['id']==$ank['id']){$_SESSION['msg']="Произошла ошибка!!!"; header("location: /perevod-$ank[id]");exit;}
if ($ku['level']<$ank['level']){$_SESSION['msg']="Произошла ошибка!!!"; header("location: /perevod-$ank[id]");exit;}
$summ=floatval(round($_POST['sum']));
if($summ<=0)
{
}else{
$sum=(($summ/100)*$procent)+$summ;
if($ku['money']>=$sum)
{
$ku['money']=minus_money($sum);
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ank['money']+$summ)."' WHERE `id` = '$ank[id]'") or die(mysql_error());
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$ank[id]', `id_kont` = '0', `msg` = '".("$ku[nick] прислал".($ku['pol']==0?'a':null)." вам $summ мон.")."', `time` = '$time', `type` = 'to'");
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$ku[id]', `id_kont` = '0', `msg` = '".("Вы переслали $summ мон. фермеру $ank[nick]")."', `time` = '$time', `type` = 'at', `read` = '1'");
$_SESSION['msg']="Передача успешно завершена";
header("location: /perevod-$ank[id]");
}
else no_money($sum-$ku['money']);
}
}
echo "<div class='event'><h1>Передача монет игроку $ank[nick]</h1></div>";
echo "<div class='content'>";
echo "<div class='block'>";
echo"<span class='minor'>Комиссия <span class='title'>$procent%</span></span><li class='pavelgrey'>";
echo "Введите количество монет:</span><br/><form method='post'>";
echo "<input type='text' name='sum' value=''><input type='hidden' name='mdp' value='$ku[mdp]'><br/>";
echo "<input type='submit' name='ok' value='Передать'>";
echo "</form></div>";
include_once 'inc/foot.php';
?>